/*
	File:		USB_ShimServicesSupport.h

	Contains:	xxx put contents here xxx

	Version:	xxx put version here xxx

	Copyright:	 1999 by Apple Computer, Inc., all rights reserved.
*/

#pragma once

#include "StorageClassPublicAPI.h"

extern void 	SetShimDispatchTable( DriverRefNum drvrRefNum, StorageClassShimDispatchTablePtr newValue );

// Functions to display the dialogs provided by the Shim
extern void 	ShowPleaseEjectMediaDialog( void );
extern void 	ShowUnusableMediaDialog( void );

// Functions to send events to the shim, these may cause dialogs to be displayed
extern void 	SendMediaWasRemovedEvent( void );

// Tell the shim to remove the currently displayed dialog
extern void		RemoveCurrentDialog ( void );
